/**
 * @file ammonia.cpp
 * @brief Ammonia component implementation
 * @author Mahmoud Elmohtady
 * @company Nabd solutions - ASF
 * @copyright Copyright (c) 2025
 */

#include "ammonia.hpp"
#include "logger.hpp"

static const char* TAG = "Ammonia";

Ammonia::Ammonia()
    : m_isInitialized(false)
{
}

Ammonia::~Ammonia()
{
    deinitialize();
}

bool Ammonia::initialize()
{
    // TODO: Implement initialization
    m_isInitialized = true;
    ASF_LOGI(TAG, 3400, asf::logger::Criticality::LOW, "Ammonia initialized successfully");
    return true;
}

bool Ammonia::deinitialize()
{
    if (!m_isInitialized)
    {
        return false;
    }

    // TODO: Implement deinitialization
    m_isInitialized = false;
    return true;
}

bool Ammonia::isInitialized() const
{
    return m_isInitialized;
}
